### Parameters

- `F : Cstubs.FOREIGN`

### Signature

`module Types : sig ... end`
`include Types`
`module Option = Types.Option`

`val getopt : (int -> string Ctypes_static.ptr -> string -> int F.return) F.result`
`val has_getopt_long : (unit -> bool F.return) F.result`
`val getopt_long : (int -> string Ctypes_static.ptr -> string -> Option.t Ctypes.structure Ctypes_static.ptr -> int Ctypes_static.ptr -> int F.return) F.result`
`val has_getopt_long_only : (unit -> bool F.return) F.result`
`val getopt_long_only : (int -> string Ctypes_static.ptr -> string -> Option.t Ctypes.structure Ctypes_static.ptr -> int Ctypes_static.ptr -> int F.return) F.result`
`val getoptarg : (unit -> char Ctypes_static.ptr F.return) F.result`
`val getoptind : (unit -> int Ctypes_static.ptr F.return) F.result`
`val getopterr : (unit -> int Ctypes_static.ptr F.return) F.result`
`val getoptopt : (unit -> char Ctypes_static.ptr F.return) F.result`
`val getoptreset : (unit -> int Ctypes_static.ptr F.return) F.result`
`val strlen : (char Ctypes_static.ptr -> int F.return) F.result`